/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/_general_styling.scss';
@import 'css/_variables.scss';

.formProjectDetail {
  &__content {
    overflow-y: auto;
    padding-inline: 2.5rem;
    padding-block: 2.125rem;
    &__form {
      display: flex;
      flex-direction: column;
      row-gap: 1.5rem;
      &__row {
        display: grid;
        grid-template-columns: 1fr 1fr;
        column-gap: 2rem;

        .ant-form-item-label {
          line-height: 1rem;
        }

        label,
        &__label {
          @include primary-text(0.87rem, $coa-grey-100, 500, 1rem);
        }
        .ant-form-item-label,
        &__label {
          margin-bottom: 0.37rem;
        }

        @include breakpoint(sm) {
          grid-template-columns: 1fr;
        }

        &__uploadContainer {
          display: flex;
          column-gap: 1.75rem;
          align-items: center;

          &__buttonContent {
            display: flex;
            column-gap: 0.625rem;
            @include primary-text(0.875rem, $coa-grey-100, 600);
          }
        }

        &__note {
          @include primary-text(0.87rem, $coa-grey-100, 400, 1rem);
          height: 2rem;
        }
      }
    }
  }
}

.form__footer {
  background: #f3f4fb;
  padding: 1.3rem 0 1.3rem 3.7rem;
}
